# module Generators::ReferencedListBuilder

This module is used to generate a referenced full name list of ContextUser

### Public Instance Methods

build_referenced_list(list) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 353
    def build_referenced_list(list)
      res = []
      list.each do |i|
        ref = AllReferences[i.name] || @context.find_symbol(i.name)
        ref = ref.viewer if ref and ref.respond_to?(:viewer)
        name = i.respond_to?(:full_name) ? i.full_name : i.name
        h_name = CGI.escapeHTML(name)
        if ref and ref.document_self
          path = url(ref.path)
          res << { "name" => h_name, "aref" => path }
        else
          res << { "name" => h_name }
        end
      end
      res
    end